Subject: RE: [PWE3] Change to PWE# atm encapsulation draft - removing strictrequirement of ATM SDU mode to use rfc4447

From: "Sasha Vainshtein" <[email-masked]>
Date: Wed, 24 May 2006 15:09:23 +0200

Matthew and all,
I agree with you that the relationship between the encapsulation type and  PW Type values is, in some cases, one-to-many.
But I think that some form of description of this relationship should appear in the encapsulation frafts/RFCs.

E.g., RFC 4448 yields the following examples

<for Ethernet Tagged Mode, Section 4.1>
   This mode uses service-delimiting tags to map input Ethernet frames
   to respective PWs and corresponds to PW type 0x0004 "Ethernet Tagged
   Mode" [IANA].
<end quote>

<for Ethernet Raw Mode, Section 4.2>
   In this mode, all Ethernet frames received on the attachment circuit
   of PE1 will be transmitted to PE2 on a single PW.  This service
   corresponds to PW type 0x0005 "Ethernet" [IANA].
<end quote>

So I do not think that the matching statements should be removed completely from
the ATM encapsulation draft. IMO a table describing the encapsulation --> PW Types
relationship would resolve the problem.

Regards,
                  Sasha

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, May 24, 2006 1:29 PM
> To: Sasha Vainshtein
> Cc: Luca Martini; PWE3 WG (E-mail)
> Subject: RE: [PWE3] Change to PWE# atm encapsulation draft - 
> removing strictrequirement of ATM SDU mode to use rfc4447
> 
> 
> Sasha,
> 
> This statement does not show up for any of the other 
> encapsulations, so we
> should probably either remove it entirely, or repeat it (with 
> the correct
> code point). However, for some PW types, e.g. N:1 cell mode, 
> the code point
> is dependent on the application as well as the encap. For 
> example, ATM cell
> VCCs use a different code point from ATM transparent cell 
> transport, but
> use the same encap.
> 
> My personal preference is to remove the statement entirely.
> 
> Matthew
> 
> 
> 
> 
> 
>                                                               
>              
>              "Sasha                                           
>              
>              Vainshtein"                                      
>              
>              <[email-masked]                                
>           To 
>              >                         "Luca Martini" 
> <[email-masked]> 
>                                                               
>           cc 
>              24/05/2006 09:41          "PWE3 WG \(E-mail\)"   
>              
>                                        <[email-masked]>        
>              
>                                                               
>      Subject 
>                                        RE: [PWE3] Change to 
> PWE# atm       
>                                        encapsulation draft - 
> removing      
>                                        strict     requirement 
> of ATM SDU   
>                                        mode to use rfc4447    
>              
>                                                               
>              
>                                                               
>              
>                                                               
>              
>                                                               
>              
>                                                               
>              
>                                                               
>              
> 
> 
> 
> 
> Luca (and all),
> 
> If I understand correctly, the text in version 10 seems to 
> ignore the fact
> that all PWs (including this one)
> can be also set up manually.
> 
> If this is the problem you try to address, please consider 
> the following:
> 
>              "If the protocol defined in [RFC4447] is used to 
> setup a PW
> that uses this encapsulation,
>              the PW Type value of 0x0002 (see [RFC 4447]) 
> MUST be used."
> 
> And probably similar statements for the rest of 
> encapsulations defined in
> the draft?
> My 2c.
> 
> Regards,
>                  Sasha
> > -----Original Message-----
> > From: Luca Martini [mailto:[email-masked]]
> > Sent: Tuesday, May 23, 2006 7:23 PM
> > To: pwe3
> > Subject: [PWE3] Change to PWE# atm encapsulation draft -
> > removing strict requirement of ATM SDU mode to use rfc4447
> >
> >
> > -----BEGIN PGP SIGNED MESSAGE-----
> > Hash: SHA1
> >
> > WG,
> >
> > MAtthew, and I noticed the following text i nthe currrent
> > version 10 of
> > the atm encapsulation draft:
> >
> >
> > "This OPTIONAL encapsulation supports the AAL5 model. This 
> mode allows
> > the transport of ATM AAL5 CSPS-SDUs traveling on a 
> particular ATM PVC
> > across the network to another ATM PVC. The protocol described in
> > [RFC4447] MUST be used to setup a PW of type 0x0002 "ATM 
> AAL5 SDU VCC
> > transport" as allocated in [RFC4446]."
> >
> >
> > THe text was imported into version 8 from the control draft ( now
> > rfc4447 ), because of a comment fro mthe AD at the time  ( Thomas ).
> >
> > I do not remember why the "MUST" is in this text. and I 
> would like to
> > suggest that we change it to the following:
> >
> > This encapsulation mode is used by a  PW of type 0x0002 
> "ATM AAL5 SDU
> > VCC transport" as allocated in [RFC4446].
> >
> > Please let me know if there are any ojections.
> >
> > Thanks.
> > Luca
> > -----BEGIN PGP SIGNATURE-----
> > Version: GnuPG v1.4.1 (GNU/Linux)
> > Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
> >
> > iD8DBQFEc0TqLusgS1q/2yYRAniLAKC9ByXffkWjMNPEVVXJV94Fyh6N+gCfeikn
> > X/M5yq0Rgm3rSqX63vaeqQM=
> > =HEKi
> > -----END PGP SIGNATURE-----
> >
> > _______________________________________________
> > pwe3 mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/pwe3
> >
> >
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
> 
> 
> 
> 
> 
> 

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Luca Martini <[email-masked]>
Date: Wed, 24 May 2006 14:24:37 -0600

Sasha,

The statements are not removed.  I just changed the text to remove the MUST.
I believe we are in agreement.

Luca